curl --request POST \
--url https://api.steppay.kr/api/v1/products/{id}/prices \
--header 'Content-Type: application/json' \
--header 'Secret-Token: <api-key>' \
--data '
{
"price": 10000,
"unit": "회",
"plan": {
"name": "단건 가격플랜 이름",
"description": "단건 가격플랜 설명",
"detailDescription": "단건 가격플랜 상세설명",
"isHiddenFromShop": false,
"adminName": "admin"
},
"type": "ONE_TIME",
"firstSale": {
"enabled": true,
"price": 1000
},
"claim": {
"methodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"provideStartDay": 0
},
"maximumPurchaseQuantity": 0,
"expiryRecurringCount": 0,
"setupOption": {
"name": "가입비",
"type": "INITIALLY",
"price": 500,
"claimMethodType": "PRE"
},
"isRepresentative": false
}
'{
"id": 1,
"code": "string",
"price": 0,
"unit": "string",
"planName": "string",
"planDescription": "string",
"type": "ONE_TIME",
"enabledFirstSalePrice": true,
"firstSalePrice": 0,
"claimMethodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"maximumPurchaseQuantity": 0,
"membershipExpirationDate": 0,
"membershipExpirationDateType": "DAY",
"setupOption": {
"id": 1,
"name": "string",
"type": "INITIALLY",
"price": 0,
"claimMethodType": "PRE"
},
"options": [
{
"id": 1,
"name": "string",
"productCode": "string",
"type": "INITIALLY",
"price": 0,
"priceCode": "string",
"priceName": "string",
"productType": "BOX",
"recurringDTO": {
"id": 1,
"intervalCount": 0,
"aggregateUsageType": "SUM",
"interval": "DAY",
"usageType": "LICENSED"
}
}
],
"volumes": [
{
"id": 1,
"min": 0,
"max": 0,
"price": 0
}
],
"additionalBilling": {
"id": 1,
"type": "USAGE_BASED_WITH_RANGE",
"ranges": [
{
"id": 1,
"until": 0,
"price": 0
}
]
},
"recurring": {
"id": 1,
"intervalCount": 0,
"aggregateUsageType": "SUM",
"interval": "DAY",
"usageType": "LICENSED"
},
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"plan": {
"name": "string",
"description": "string",
"detailDescription": "string",
"isHiddenFromShop": true,
"adminName": "string"
},
"firstSale": {
"enabled": true,
"price": 0
},
"claim": {
"methodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"provideStartDay": 0
},
"basicServing": 0,
"bundlePrices": [
{
"product": {
"id": 1,
"code": "string",
"type": "BOX",
"status": "SALE",
"name": "string",
"subTitle": "string",
"featuredImageUrl": "string",
"imageUrls": [
"string"
],
"description": "string",
"summary": "string",
"reasonOfReject": "string",
"sku": "string",
"quantity": 0,
"combinedProducts": [
{
"code": "string",
"type": "BOX",
"status": "SALE",
"name": "string",
"description": "string",
"options": [
{
"id": 1,
"name": "string",
"options": [
{
"id": 1,
"name": "string",
"quantity": 0,
"price": 0,
"parent": 0
}
],
"depth": 0
}
],
"prices": [
{}
],
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00"
}
],
"optionGroups": [
{
"id": 1,
"name": "string",
"options": [
{
"id": 1,
"name": "string",
"quantity": 0,
"price": 0,
"parent": 0
}
],
"depth": 0
}
],
"useCombination": true,
"optionCombinations": [
{
"id": [
1
],
"quantity": 0,
"price": 0,
"status": "SALE"
}
],
"prices": [
{}
],
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"enabledDemo": true,
"demoPeriod": 0,
"demoPeriodUnit": "DAY",
"categories": [
{
"categoryId": 0,
"name": "string"
}
],
"vendorUuid": "206992bb-6462-4b4f-9847-cf2f40d55b48",
"productOrder": 0,
"isOnetimePurchasable": true,
"eventBadge": [
{
"event": "string",
"startDateTime": "9999-01-01T00:00:00",
"endDateTime": "9999-01-01T00:00:00"
}
],
"notice": "string",
"useWidget": {
"useDemo": true,
"useEventBadge": true,
"useOnetimePurchasable": true,
"useNotice": true
},
"groupId": 0,
"countrySetting": {
"id": 1,
"countryCode": "string",
"timezoneName": "string",
"currencyCode": "string",
"isDefault": true,
"taxRate": 0
}
},
"price": {}
}
],
"onetimeBundlePrice": 0,
"order": 0
}가격플랜 생성
가격플랜을 생성할 때 호출합니다.
curl --request POST \
--url https://api.steppay.kr/api/v1/products/{id}/prices \
--header 'Content-Type: application/json' \
--header 'Secret-Token: <api-key>' \
--data '
{
"price": 10000,
"unit": "회",
"plan": {
"name": "단건 가격플랜 이름",
"description": "단건 가격플랜 설명",
"detailDescription": "단건 가격플랜 상세설명",
"isHiddenFromShop": false,
"adminName": "admin"
},
"type": "ONE_TIME",
"firstSale": {
"enabled": true,
"price": 1000
},
"claim": {
"methodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"provideStartDay": 0
},
"maximumPurchaseQuantity": 0,
"expiryRecurringCount": 0,
"setupOption": {
"name": "가입비",
"type": "INITIALLY",
"price": 500,
"claimMethodType": "PRE"
},
"isRepresentative": false
}
'{
"id": 1,
"code": "string",
"price": 0,
"unit": "string",
"planName": "string",
"planDescription": "string",
"type": "ONE_TIME",
"enabledFirstSalePrice": true,
"firstSalePrice": 0,
"claimMethodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"maximumPurchaseQuantity": 0,
"membershipExpirationDate": 0,
"membershipExpirationDateType": "DAY",
"setupOption": {
"id": 1,
"name": "string",
"type": "INITIALLY",
"price": 0,
"claimMethodType": "PRE"
},
"options": [
{
"id": 1,
"name": "string",
"productCode": "string",
"type": "INITIALLY",
"price": 0,
"priceCode": "string",
"priceName": "string",
"productType": "BOX",
"recurringDTO": {
"id": 1,
"intervalCount": 0,
"aggregateUsageType": "SUM",
"interval": "DAY",
"usageType": "LICENSED"
}
}
],
"volumes": [
{
"id": 1,
"min": 0,
"max": 0,
"price": 0
}
],
"additionalBilling": {
"id": 1,
"type": "USAGE_BASED_WITH_RANGE",
"ranges": [
{
"id": 1,
"until": 0,
"price": 0
}
]
},
"recurring": {
"id": 1,
"intervalCount": 0,
"aggregateUsageType": "SUM",
"interval": "DAY",
"usageType": "LICENSED"
},
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"plan": {
"name": "string",
"description": "string",
"detailDescription": "string",
"isHiddenFromShop": true,
"adminName": "string"
},
"firstSale": {
"enabled": true,
"price": 0
},
"claim": {
"methodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"provideStartDay": 0
},
"basicServing": 0,
"bundlePrices": [
{
"product": {
"id": 1,
"code": "string",
"type": "BOX",
"status": "SALE",
"name": "string",
"subTitle": "string",
"featuredImageUrl": "string",
"imageUrls": [
"string"
],
"description": "string",
"summary": "string",
"reasonOfReject": "string",
"sku": "string",
"quantity": 0,
"combinedProducts": [
{
"code": "string",
"type": "BOX",
"status": "SALE",
"name": "string",
"description": "string",
"options": [
{
"id": 1,
"name": "string",
"options": [
{
"id": 1,
"name": "string",
"quantity": 0,
"price": 0,
"parent": 0
}
],
"depth": 0
}
],
"prices": [
{}
],
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00"
}
],
"optionGroups": [
{
"id": 1,
"name": "string",
"options": [
{
"id": 1,
"name": "string",
"quantity": 0,
"price": 0,
"parent": 0
}
],
"depth": 0
}
],
"useCombination": true,
"optionCombinations": [
{
"id": [
1
],
"quantity": 0,
"price": 0,
"status": "SALE"
}
],
"prices": [
{}
],
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"enabledDemo": true,
"demoPeriod": 0,
"demoPeriodUnit": "DAY",
"categories": [
{
"categoryId": 0,
"name": "string"
}
],
"vendorUuid": "206992bb-6462-4b4f-9847-cf2f40d55b48",
"productOrder": 0,
"isOnetimePurchasable": true,
"eventBadge": [
{
"event": "string",
"startDateTime": "9999-01-01T00:00:00",
"endDateTime": "9999-01-01T00:00:00"
}
],
"notice": "string",
"useWidget": {
"useDemo": true,
"useEventBadge": true,
"useOnetimePurchasable": true,
"useNotice": true
},
"groupId": 0,
"countrySetting": {
"id": 1,
"countryCode": "string",
"timezoneName": "string",
"currencyCode": "string",
"isDefault": true,
"taxRate": 0
}
},
"price": {}
}
],
"onetimeBundlePrice": 0,
"order": 0
}Authorizations
Path Parameters
상품 번호
Body
가격플랜 생성 데이터
단위
가격 플랜 정보
Show child attributes
Show child attributes
가격 플랜 타입
ONE_TIME, FLAT, UNIT_BASED, USAGE_BASED, VOLUME_BASED, BUNDLE 기본 가격 (기본값: 0)
x > 0통화별 기본 가격
Show child attributes
Show child attributes
첫 구매 할인 정보
Show child attributes
Show child attributes
청구 방식 정보
Show child attributes
Show child attributes
최대 구매 가능 개수 지정
구독 만기 기간
구독 만기 기간 단위
DAY, WEEK, MONTH, YEAR 구독 만료되는 결제 횟수
기본료 정보
Show child attributes
Show child attributes
추가 구매 가능한 상품 옵션
Show child attributes
Show child attributes
반복 주기, 가격 타입이 ONE_TIME이 아닌 경우 필수값입니다.
Show child attributes
Show child attributes
기본 제공량 - 계정/사용량 기반 요금 사용시
대표 가격 지정 - 스텝샵에서 기본 가격으로 설정됩니다. (기본값: false)
번들 플랜 설정 - 번들 플랜의 단건 가격을 설정합니다.
통화별 번들 플랜 단건 가격
Show child attributes
Show child attributes
Response
정상적으로 생성됨
가격 플랜 정보
가격 플랜 아이디
가격 플랜 코드
가격(기준통화)
플랜 타입
ONE_TIME, FLAT, UNIT_BASED, USAGE_BASED, VOLUME_BASED, BUNDLE 첫 구매 할인 적용 여부
첫 구매 할인시 적용되는 할인 금액
후불일 때 결제되는 날짜를 지정한 경우, 지정된 날짜
최대 구매가능 수량
구독 만기 기간
옵션 정보
Show child attributes
Show child attributes
Show child attributes
Show child attributes
기본 제공량 - 계정/사용량 기반 요금 사용시
번들 플랜 - 번들 상품 구성
Show child attributes
Show child attributes
번들 플랜 - 단건 상품 금액
우선 순위
통화별 가격(기준통화 외)
Show child attributes
Show child attributes
단위
플랜명
플랜 설명
선불인지 후불인지 여부
PRE, POST 후불인 경우, 언제 결제되는지
FIRST_PAYMENT, DATE 구독 만기 기간 단위
DAY, WEEK, MONTH, YEAR 기본료 정보
Show child attributes
Show child attributes
추가 과금 정보
Show child attributes
Show child attributes
구독 주기 정보
Show child attributes
Show child attributes
생성된 시점
수정된 시점
가격 플랜 정보
Show child attributes
Show child attributes
첫 구매 할인 정보
Show child attributes
Show child attributes
청구 방식 정보
Show child attributes
Show child attributes